# $Revision: 1.70 $, $Date: 2010/10/21 11:16:44 $
# TODO: is $(pkgdatadir)/cracklib.magic used for anything?
#       it's already in file database, so maybe just drop it?
#
# Conditional build:
%bcond_with	words	# bigger words database
#
Summary:	Password checking library
Summary(es.UTF-8):	Biblioteca de chequeo de contraseñas
Summary(fr.UTF-8):	Bibliothèque de vérification de mots de passe
Summary(pl.UTF-8):	Biblioteka sprawdzania haseł
Summary(pt_BR.UTF-8):	Biblioteca de checagem de senhas
Summary(ru.UTF-8):	Библиотека проверки паролей
Summary(tr.UTF-8):	Parola denetim kitaplığı
Summary(uk.UTF-8):	Бібліотека перевірки паролів
Name:		cracklib
Version:	2.8.18
%define	words_v	20080507
Release:	1
License:	GPL v2
Group:		Libraries
Source0:	http://downloads.sourceforge.net/cracklib/%{name}-%{version}.tar.gz
# Source0-md5:	79053ad8bc714a44cd660cb12116211b
Source1:	http://downloads.sourceforge.net/cracklib/%{name}-words-%{words_v}.gz
# Source1-md5:	7fa6ba0cd50e7f9ccaf4707c810b14f1
URL:		http://sourceforge.net/projects/cracklib/
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	words
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
CrackLib tests passwords to determine whether they match certain
security-oriented characteristics. You can use CrackLib to stop users
from choosing passwords which would be easy to guess. CrackLib
performs certain tests:

- It tries to generate words from a username and gecos entry and
  checks those words against the password;
- It checks for simplistic patterns in passwords;
- It checks for the password in a dictionary.

CrackLib is actually a library containing a particular C function
which is used to check the password, as well as other C functions.
CrackLib is not a replacement for a passwd program; it must be used in
conjunction with an existing passwd program.

Install the cracklib package if you need a program to check users'
passwords to see if they are at least minimally secure. If you install
CrackLib, you'll also want to install the cracklib-dicts package.

%description -l de.UTF-8
Überprüft Paßwörter auf Sicherheitsmerkmale - Länge, Eindeutigkeit,
Anwesenheit in einer Wörter-Datenbank usw.

%description -l fr.UTF-8
Vérifie les caractéristiques liées à la sécurité des mots de passe -
longueur, unicité, s'ils sont dans une base de mots, etc.

%description -l pl.UTF-8
CrackLib sprawdza hasła pod kątem bezpieczeństwa. Można użyć tej
biblioteki do powstrzymywania użytkowników przed wybieraniem haseł
łatwych do odgadnięcia. CrackLib przeprowadza następujące testy:

- próbuje wygenerować słowa z nazwy użytkownika i wpisu gecos, a
  następnie porównuje je z hasłem
- szuka prostych wzorców w haśle
- szuka hasła w słowniku

CrackLib to biblioteka zawierająca funkcję C służącą do sprawdzania
hasła oraz inne funkcje C. Nie jest to zamiennik programu passwd -
musi być użyty w połączeniu z istniejącym programem passwd.

%description -l pt_BR.UTF-8
Inclui os dicionários cracklib para o padrão /usr/dict/words, assim
como os utilitários necessários para criar dicionários.

%description -l ru.UTF-8
CrackLib проверяет пароли на предмет соответствия некоторым критериям
безопасности. Она может быть использована для предотвращения выбора
пользователями легкоугадываемых паролей. CrackLib производит такие
тесты:

- Генерирует слова из имени пользователя и поля gecos и сравнивает их
  с паролем;
- Ищет в паролях простые шаблоны;
- Проверяет пароль на наличие его в словаре.

CrackLib - это, собственно, библиотека, содержащая специфическую
функцию C для угадывания паролей и некоторые другие функции. Это не
замена программы passwd, ее надо использовать совместно с существующей
программой passwd.

%description -l tr.UTF-8
Parolaların uzunlukları, sistemde tek olmaları, sözcük veri tabanında
bulunmamaları gibi güvenlikle ilgili özelliklerini kontrol eder.

%description -l uk.UTF-8
CrackLib перевіряє паролі на відповідність деяким критеріям безпеки.
Вона може бути використана для запобігання вибору користувачами
паролів, які легко відгадати. Вона виконує такі тести:

- Генерує слова з імені користувача та поля gecos і порівнює їх з
  паролем;
- Шукає в паролях прості шаблони;
- Перевіряє паролі на наявність їх у словнику.

CrackLib - це, власне, бібліотека, що містить специфічну функцію C для
відгадування паролів та деякі інші функції. Це не заміна програми
passwd, її треба використовувати спільно з існуючою програмою passwd.

%package devel
Summary:	Header files and documentation for cracklib
Summary(es.UTF-8):	Archivos de inclusión y bibliotecas para cracklib
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja dla cracklib
Summary(pt_BR.UTF-8):	Arquivos de inclusão e bibliotecas para a cracklib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and documentation for cracklib.

%description devel -l es.UTF-8
Este paquete contiene los archivos de inclusión y bibliotecas que se
necesitan para desarrollar programas que usan cracklib.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja dla cracklib.

%description devel -l pt_BR.UTF-8
Este pacote contém os arquivos de inclusão e bibliotecas que são
necessários para desenvolver programas que usam a cracklib.

%package static
Summary:	Static cracklib library
Summary(pl.UTF-8):	Statyczna biblioteka cracklib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static cracklib library.

%description static -l pl.UTF-8
Statyczna biblioteka cracklib.

%package dicts
Summary:	Standard dictionaries (/usr/share/dict/words)
Summary(de.UTF-8):	Standard-Wörterbücher (/usr/share/dict/words)
Summary(es.UTF-8):	Diccionarios para chequeo de contraseñas
Summary(fr.UTF-8):	Dictionnaires standards (/usr/share/dict/words)
Summary(pl.UTF-8):	Standardowe słowniki (/usr/share/dict/words)
Summary(pt_BR.UTF-8):	Dicionários para checagem de senhas
Summary(ru.UTF-8):	Стандартные словари CrackLib
Summary(tr.UTF-8):	Standart sözlükler (/usr/share/dict/words)
Summary(uk.UTF-8):	Стандартні словники CrackLib
Group:		Applications/System

%description dicts
The cracklib-dicts package includes the CrackLib dictionaries.
CrackLib will need to use the dictionary appropriate to your system,
which is normally put in /usr/share/dict/words. Cracklib-dicts also
contains the utilities necessary for the creation of new dictionaries.

%description dicts -l de.UTF-8
Enthält die Cracklib-Wörterbücher für die
Standard-/usr/share/dict/Wörter sowie Utilities zum Erstellen neuer
Wörterbücher"

%description dicts -l es.UTF-8
Incluye el diccionario cracklib para el padrón /usr/share/dict/words,
y utilitarios necesarios a creación de nuevos diccionarios.

%description dicts -l fr.UTF-8
Contient les dictionnaires cracklib pour le /usr/share/dict/words
standard, ainsi que les utilitaires nécessaires à la création de
nouveaux dictionnaires.

%description dicts -l pl.UTF-8
Pakiet zawiera słowniki crackliba dla standardowego
/usr/share/dict/words oraz narzędzia do tworzenia nowych słowników.

%description dicts -l pt_BR.UTF-8
Inclui o dicionário cracklib para o padrão /usr/dict/words, bem como
utilitários necessários a criação de novos dicionários.

%description dicts -l ru.UTF-8
Пакет cracklib-dicts включает словари CrackLib. CrackLib будут нужны
словари, соответствующие вашей системе, которые обычно находятся в
/usr/share/dict/words. Cracklib-dicts также содержит утилиты,
необходимые для создания новых словарей.

%description dicts -l tr.UTF-8
/usr/share/dict/words dosyası için 'cracklib' kitaplıklarını ve yeni
sözlükler yaratılması için gerekli yardımcı programları içerir.

%description dicts -l uk.UTF-8
Пакет cracklib-dicts містить словники CrackLib. CrackLib будуть
потрібні словники, що відповідають вашій системі, котрі зазвичай
знаходяться в /usr/share/dict/words. Cracklib-dicts також містить
утиліти, необхідні для створення нових словників.

%package -n python-cracklib
Summary:	Python binding for cracklib
Summary(pl.UTF-8):	Wiązanie Pythona do crackliba
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python-libs

%description -n python-cracklib
Python binding for cracklib.

%description -n python-cracklib -l pl.UTF-8
Wiązanie Pythona do crackliba.

%prep
%setup	-q
%if %{with words}
install %{SOURCE1} dicts/
%endif

%build
%configure \
	--with-default-dict=%{_datadir}/dict/cracklib_dict
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_libdir},%{_includedir},%{_datadir}/dict}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

chmod 755 util/cracklib-format
util/cracklib-format dicts/cracklib* | util/cracklib-packer $RPM_BUILD_ROOT%{_datadir}/dict/cracklib_dict

rm -f $RPM_BUILD_ROOT%{py_sitedir}/*.{la,a}

mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{sl_SI,sl}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libcrack.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcrack.so.2
%{_datadir}/%{name}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcrack.so
%{_libdir}/libcrack.la
%{_includedir}/crack.h
%{_includedir}/packer.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libcrack.a

%files dicts
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/cracklib-*
%attr(755,root,root) %{_sbindir}/create-cracklib-dict
%{_datadir}/dict/cracklib_dict.*

%files -n python-cracklib
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_cracklibmodule.so
%{python_sitelib}/%{name}.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cracklib.spec,v $
Revision 1.70  2010/10/21 11:16:44  caleb
- Up to 2.8.18

Revision 1.69  2010/09/03 07:11:24  qboosh
- updated to 2.8.16

Revision 1.68  2010/07/09 10:08:14  arekm
- release 2

Revision 1.67  2009/12/01 13:54:29  arekm
- up to 2.8.15

Revision 1.66  2009/11/27 14:18:09  sparky
- BR: python-modules, rpm-pythonprov
- undefine __cxx

Revision 1.65  2009/10/30 21:49:12  qboosh
- updated words to 2.8.13
- release 3

Revision 1.64  2009/09/04 04:10:16  tommat
- release 2

Revision 1.63  2009/05/11 13:43:48  amateja
- updated to 2.8.13

Revision 1.62  2009/03/13 22:24:29  hawk
- release 2

Revision 1.61  2008/08/29 16:02:22  qboosh
- ghost soname symlink

Revision 1.60  2008/08/29 12:43:54  arekm
- up to 2.8.12

Revision 1.59  2007/09/06 14:35:05  baggins
- rel 3
- fix building cracklib dict (util wasn't executable)

Revision 1.58  2007/09/05 16:20:07  qboosh
- package python module
- fix sl locale name instead of killing

Revision 1.57  2007/09/05 15:11:14  baggins
- rel 2
- removed non existing locale

Revision 1.56  2007/09/05 12:19:41  baggins
- 2.8.10
- removed obsolete pld patch
- added TODO
- updated files

Revision 1.55  2007/03/09 10:14:42  glen
- adapter

Revision 1.54  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.53  2007/02/12 00:48:43  baggins
- converted to UTF-8

Revision 1.52  2006/08/10 19:19:56  patrys
- rel up for rebuild

Revision 1.51  2005/09/20 20:53:52  qboosh
- cleanup, updated pl desc, package .la and static library

Revision 1.50  2005/09/17 22:17:11  zawadaa
- up to 2.8.3
- please review my changes
- STBR for test

Revision 1.49  2005/03/26 14:48:55  mmazur
- rel 19 for th

Revision 1.48  2005/03/20 20:42:41  qboosh
- strict internal dep, don't package autogenerated symlink

Revision 1.47  2004/12/17 21:25:21  sparky
- spanish desc/summary fixes; many just thrown

Revision 1.46  2004/09/25 11:20:51  radek
- cosmetics (spaces -> tabs)

Revision 1.45  2004/05/17 12:27:44  pluto
- all bconds fixed.

Revision 1.44  2004/05/17 12:08:43  pluto
- bcond: s/pp/ssp/

Revision 1.43  2004/01/08 18:38:18  kosmo
- added %bcond_with pp (thx. Pawel Sikora)

Revision 1.42  2004/01/02 15:54:13  jajcus
- Release: 18 (STBR after AMD64 fixes)

Revision 1.41  2003/12/18 23:01:02  jajcus
- install library in proper libdir

Revision 1.40  2003/08/25 08:51:11  mmazur
- rel 17 for ac

Revision 1.39  2003/08/06 16:50:39  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.38  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.37  2003/05/25 05:46:26  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.36  2003/01/22 13:06:42  trojan
- updated source URL

Revision 1.35  2002/10/10 13:04:25  marcus
- use new %doc

Revision 1.34  2002/05/02 10:50:12  kloczek
- bump release to 16: merge translations from KSI and Conectiva.

Revision 1.33  2002/05/02 00:10:08  qboosh
- added packer.h to -devel
- use proper CC and optflags (changed patch)
- release 15

Revision 1.32  2002/04/25 16:07:01  arturs
- fixed a small typo

Revision 1.31  2002/02/22 23:28:46  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.30  2002/02/18 16:40:10  gotar
- added/fixed polish %descriptions.

Revision 1.29  2002/01/18 02:12:35  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.28  2001/11/21 13:29:46  kloczek
- relase 14,
- spec adapterized,
- merge nss patch from rawhide (use getpwuid_r instead of getpwuid).

Revision 1.27  2000/12/19 07:51:47  kloczek
- release 9: use new rpm automation.

Revision 1.26  2000/06/09 07:22:48  kloczek
- added using %{__make} macro.

Revision 1.25  2000/05/18 17:35:47  kloczek
- spec adapterized.

Revision 1.24  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.23  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.22  1999/07/28 13:19:03  kloczek
- more rpm macros,
- cosmetic changes for common l&f.

Revision 1.21  1999/07/20 12:48:06  wiget
- switch to rpm 3.0.2

Revision 1.20  1999/07/12 23:05:55  kloczek
- added using CVS keywords in %changelog (for automating them).
